function varargout=plotVerticesNumber(this,varargin)
  default_PlotOptions={'BackgroundColor','w','margin',1,'HorizontalAlignment','center','VerticalAlignment','middle','clipping','on'};
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.PartialMatching=false;
  p.addParamValue('Global',false); % plot global mesh nodes number if true, else plot this local nodes number
  %p.addParamValue('TextOptions',{}); % {'Color','r','Marker','.','MarkerSize',6}
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  iq=unique(this.me);
  if R.Global, strNum=num2str(this.toGlobal(iq)'); else  strNum=num2str(iq);end
  switch this.dim
    case 2
      h=text(this.q(1,iq),this.q(2,iq),strNum,default_PlotOptions{:},varargin{:});
    case 3
      h=text(this.q(1,iq),this.q(2,iq),this.q(3,iq),strNum,default_PlotOptions{:}, varargin{:});
    otherwise
      warning('Unable to plot in space dimension %d',this.dim);h=[]; 
  end
  if nargout==1, varargout{1}=h;end
  leg=sprintf('Vert. num');
  if nargout>=1, varargout{1}=h;end
  if nargout==2, varargout{2}=leg;end
end
